
QGIS Application - Bug report #20255

Impossible to enter a decimal value for the geometry precision in French (comma as decimal 

separator)

2018-10-29 10:56 AM - Alain FERRATON

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Geometry

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28076

Description

see attachments

the value 0,1 is not stored

Associated revisions

Revision 12c75d3c - 2018-10-29 12:01 PM - Alessandro Pasotti 

Fix geometry precision input in vector layer properties and not-dot locales

Fix #20255 - Impossible to enter a decimal value for the geometry precision in French (comma as decimal separator)

Revision 344a5a69 - 2018-10-30 05:33 PM - Alessandro Pasotti 

Fix geometry precision input in vector layer properties and not-dot locales

Fix #20255 - Impossible to enter a decimal value for the geometry precision in French (comma as decimal separator)

Backported from master

History

#1 - 2018-10-29 11:35 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

What are your localization settings? Options -> general -> override system locale?

#2 - 2018-10-29 11:45 AM - Alain FERRATON

localization setting by default (system) : fr_FR

#3 - 2018-10-29 12:03 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

2024-04-09 1/2



PR https://github.com/qgis/QGIS/pull/8358

#4 - 2018-10-29 01:57 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|12c75d3ca231cb8978e4e8131c312d402b9fbe45.

#5 - 2018-10-29 02:31 PM - Alessandro Pasotti

- Resolution set to fixed/implemented
